package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.MusicGroupQuit;
import com.ym.mec.common.dal.BaseDAO;

public interface MusicGroupQuitDao extends BaseDAO<Long, MusicGroupQuit> {

    /**
     * @describe 统计指定乐团退团人数
     * @author Joburgess
     * @date 2019/10/28
     * @param musicGroupId: 乐团编号
     * @return int
     */
    int countMusicGroupQuitNum(String musicGroupId);
	
}
