package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.SporadicChargeInfo;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SporadicChargeInfoDao extends BaseDAO<Integer, SporadicChargeInfo> {
    SporadicChargeInfo findInfoById(@Param("id") Integer id);

    SporadicChargeInfo findByOrganIdAndType(@Param("organId") Integer organId, @Param("chargeType") Integer chargeType);
}