package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalender;
import com.ym.mec.biz.dal.entity.MusicGroupStudentFee;
import com.ym.mec.common.service.BaseService;

import java.util.Date;
import java.util.List;

public interface MusicGroupPaymentCalenderService extends BaseService<Long, MusicGroupPaymentCalender> {

	/**
	 * 批量新增、修改乐团缴费周期
	 * @param musicGroupPaymentCalenders
	 */
	void batchInsert(List<MusicGroupPaymentCalender> musicGroupPaymentCalenders);

	/**
	 * 获取下次缴费时间
	 * @param musicGroupId
	 * @param latestPaidDate
	 * @return
	 */
	Date getNextPaymentDate(String musicGroupId, Date latestPaidDate, MusicGroupStudentFee fee);
}