package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.SporadicChargeInfo;
import com.ym.mec.biz.dal.entity.StudentPaymentOrder;
import com.ym.mec.biz.dal.page.SporadicChargeInfoQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

public interface SporadicChargeInfoService extends BaseService<Integer, SporadicChargeInfo> {

    /**
     * 零星支付订单
     * @param order
     */
    Boolean renewForCallback(StudentPaymentOrder order);

    /**
     * 分页查询
     * @param queryInfo
     * @return
     */
    PageInfo<SporadicChargeInfo> queryDetailPage(SporadicChargeInfoQueryInfo queryInfo);

    /**
     * 单查询
     * @param id
     * @return
     */
    SporadicChargeInfo getDetail(Integer id);

    SporadicChargeInfo findByOrganIdAndType(Integer organId,Integer type);
}