package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2020/4/10
 */
public class StudentExercisesSituationQueryInfo extends QueryInfo {

    private String organIdList;

    @ApiModelProperty(value = "周一日期")
    private java.util.Date monday;

    @ApiModelProperty(value = "周日日期")
    private java.util.Date sunday;

    @ApiModelProperty(value = "预期训练次数")
    private Integer expectExercisesNum;

    @ApiModelProperty(value = "实际训练次数是否达到预期")
    private Integer actualExercisesNumIsAchieve;

    @ApiModelProperty(value = "提交训练次数是否达到预期")
    private Integer exercisesReplyNumIsAchieve;

    @ApiModelProperty(value = "训练评价次数是否达到预期")
    private Integer exercisesMessageNumIsAchieve;

    @ApiModelProperty(value = "及时训练评价次数是否达到预期")
    private Integer exercisesMessageTimelyNumIsAchieve;

    public String getOrganIdList() {
        return organIdList;
    }

    public void setOrganIdList(String organIdList) {
        this.organIdList = organIdList;
    }

    public Date getMonday() {
        return monday;
    }

    public void setMonday(Date monday) {
        this.monday = monday;
    }

    public Date getSunday() {
        return sunday;
    }

    public void setSunday(Date sunday) {
        this.sunday = sunday;
    }

    public Integer getExpectExercisesNum() {
        return expectExercisesNum;
    }

    public void setExpectExercisesNum(Integer expectExercisesNum) {
        this.expectExercisesNum = expectExercisesNum;
    }

    public Integer getActualExercisesNumIsAchieve() {
        return actualExercisesNumIsAchieve;
    }

    public void setActualExercisesNumIsAchieve(Integer actualExercisesNumIsAchieve) {
        this.actualExercisesNumIsAchieve = actualExercisesNumIsAchieve;
    }

    public Integer getExercisesReplyNumIsAchieve() {
        return exercisesReplyNumIsAchieve;
    }

    public void setExercisesReplyNumIsAchieve(Integer exercisesReplyNumIsAchieve) {
        this.exercisesReplyNumIsAchieve = exercisesReplyNumIsAchieve;
    }

    public Integer getExercisesMessageNumIsAchieve() {
        return exercisesMessageNumIsAchieve;
    }

    public void setExercisesMessageNumIsAchieve(Integer exercisesMessageNumIsAchieve) {
        this.exercisesMessageNumIsAchieve = exercisesMessageNumIsAchieve;
    }

    public Integer getExercisesMessageTimelyNumIsAchieve() {
        return exercisesMessageTimelyNumIsAchieve;
    }

    public void setExercisesMessageTimelyNumIsAchieve(Integer exercisesMessageTimelyNumIsAchieve) {
        this.exercisesMessageTimelyNumIsAchieve = exercisesMessageTimelyNumIsAchieve;
    }
}
