package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dto.PracticeGroupBuyDto;
import com.ym.mec.biz.dal.entity.StudentPaymentOrder;
import com.ym.mec.common.entity.HttpResponseResult;

/**
 * @Author Joburgess
 * @Date 2020/3/6
 */
public interface EduPracticeGroupService {

    /**
     * @describe 陪练课购买
     * @author Joburgess
     * @date 2020/2/17
     * @param practiceGroupBuyParams: 购买参数
     * @param operatorInfo: 操作者信息
     * @return void
     */
    HttpResponseResult buyPracticeGroup(PracticeGroupBuyDto practiceGroupBuyParams, String operatorInfo);

    /**
     * @describe 支付订单回调
     * @author Joburgess
     * @date 2020/2/17
     * @param order: 支付订单
     * @return void
     */
    void orderCallback(StudentPaymentOrder order);

}
