package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.ExtracurricularExercises;
import com.ym.mec.biz.dal.page.ExtraExercilseQueryInfo;
import com.ym.mec.common.service.BaseService;

import java.util.List;
import java.util.Map;

public interface ExtracurricularExercisesService extends BaseService<Long, ExtracurricularExercises> {

    /**
     * @describe 创建课外训练
     * @author Joburgess
     * @date 2020/3/26
     * @param exercises:
     * @return void
     */
    void createExtraExercises(ExtracurricularExercises exercises);

    /**
     * @describe 获取教师创建的课外训练列表
     * @author Joburgess
     * @date 2020/3/26
     * @param queryInfo:
     * @return com.ym.mec.common.page.PageInfo
     */
    List<Map<String, Object>> findExtraExercilses(ExtraExercilseQueryInfo queryInfo);

}
